MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024745Open CASCADE[OCCT] OCCT:Codingpublic2014-03-20 16:362014-05-05 13:38
Reporterabv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024745: Needless inheritance of OSD_MemInfo from Standard_Transient
DescriptionClass OSD_MemInfo inherits from Standard_Transient which is meaningless
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028423)
kgv (developer)
2014-03-21 16:19
edited on: 2014-03-21 16:19

Please check compilation of the patch in CR24745 and integrate.

(0028445)
mkv (tester)
2014-03-24 14:46

Dear BugMaster,

Branch CR24745 (and products from GIT master) was compiled on Linux and Windows platforms.
SHA-1: 04360ecde55f3b259e32949d092b91c3bd06b4df

Number of compiler warnings in RELEASE mode:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)


Number of compiler warnings in DEBUG mode:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 7 (7 on master)
Windows: 1 (1 on master)

Without testing

- Related Changesets
occt: master 30194ce3
Timestamp: 2014-03-21 12:17:39
Author: kgv
Committer: apn
Details ] Diff ]
0024745: Needless inheritance of OSD_MemInfo from Standard_Transient
mod - src/OSD/OSD_MemInfo.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-20 16:36 abv New Issue
2014-03-20 16:36 abv Assigned To => kgv
2014-03-21 16:19 kgv Note Added: 0028423
2014-03-21 16:19 kgv Assigned To kgv => bugmaster
2014-03-21 16:19 kgv Severity minor => trivial
2014-03-21 16:19 kgv Status new => resolved
2014-03-21 16:19 kgv Status resolved => reviewed
2014-03-21 16:19 kgv Note Edited: 0028423 View Revisions
2014-03-21 17:19 mkv Assigned To bugmaster => mkv
2014-03-24 14:46 mkv Note Added: 0028445
2014-03-24 14:47 mkv Test case number => Not needed
2014-03-24 14:47 mkv Assigned To mkv => bugmaster
2014-03-24 14:47 mkv Status reviewed => tested
2014-03-28 16:38 apn Changeset attached => occt master 30194ce3
2014-03-28 16:38 apn Assigned To bugmaster => apn
2014-03-28 16:38 apn Status tested => verified
2014-03-28 16:38 apn Resolution open => fixed
2014-05-05 13:33 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker